/* 
 * DNet eBusiness Suite
 * Copyright: Nan21 Electronics SRL. All rights reserved.
 * Use is subject to license terms.
 */
package net.nan21.dnet.module.md.base.tx.ds.model;

import net.nan21.dnet.core.api.annotation.Ds;
import net.nan21.dnet.core.api.annotation.DsField;
import net.nan21.dnet.core.api.annotation.SortField;
import net.nan21.dnet.core.presenter.model.base.AbstractTypeDs;
import net.nan21.dnet.module.md.base.tx.domain.entity.PaymentMethod;

@Ds(entity=PaymentMethod.class, sort={@SortField(field=PaymentMethodDs.fNAME)})
public class PaymentMethodDs extends AbstractTypeDs<PaymentMethod> {

 	public static final String fTYPE = "type";
 	public static final String fDOCTYPEID = "docTypeId";
 	public static final String fDOCTYPE = "docType";
 	
 	@DsField()
 	private String type;
 	
 	@DsField(join="left", path="docType.id")
 	private Long docTypeId;
 	
 	@DsField(join="left", path="docType.name")
 	private String docType;

	public PaymentMethodDs() {
		super();
	}

 	public PaymentMethodDs(PaymentMethod e) {
		super(e);
	}
	
	public String getType() {
		return this.type;
	}
	
	public void setType(String type) {
		this.type = type;
	}
	
	public Long getDocTypeId() {
		return this.docTypeId;
	}
	
	public void setDocTypeId(Long docTypeId) {
		this.docTypeId = docTypeId;
	}
	
	public String getDocType() {
		return this.docType;
	}
	
	public void setDocType(String docType) {
		this.docType = docType;
	}
}
